%global pypi_name sshtunnel

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 4
Summary:        Pure python SSH tunnels

License:        MIT
URL:            https://github.com/pahaz/sshtunnel
Source0:        %{pypi_source}
BuildArch:      noarch
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3dist(check-manifest)
BuildRequires:  python3dist(paramiko) >= 1.15.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox) >= 1.8.1

%description
Pure python SSH tunnels

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(paramiko) >= 1.15.2
Requires:       python3dist(setuptools)
Requires:       python3dist(tox) >= 1.8.1

%description -n python3-%{pypi_name}
Pure python SSH tunnels


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/sshtunnel
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.4.0-4.mga9
+ Revision: 1832770
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4.0-3.mga9
+ Revision: 1782338
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.0-2.mga9
+ Revision: 1732939
- Rebuild for python 3.9

* Sat Jun 19 2021 joequant <joequant> 0.4.0-1.mga9
+ Revision: 1731325
- update to 0.4.0

* Sun Jun 28 2020 joequant <joequant> 0.1.5-1.mga8
+ Revision: 1599761
- imported package python-sshtunnel

